Activate skill
Activate a skill for a session by appending a skill message and resuming execution.
POST
/api/session/{sessionID}/skillPath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsonidobject | anyShow propertiesHide properties
Any of:
object
objectany
anyskillstringrequiredresumeboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | SkillNotFoundError
Any of:
SkillNotFoundError
_tagstringrequiredAllowed:
SkillNotFoundErrorskillstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/skill" \
-H "Content-Type: application/json" \
-d '{
"id": {},
"skill": "string",
"resume": true
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/skill", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": {},
"skill": "string",
"resume": true
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/skill",
headers={
"Content-Type": "application/json"
},
json={
"id": {},
"skill": "string",
"resume": True
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SkillNotFoundError",
"skill": "string",
"message": "string"
}